#! /bin/sh

# Chr. Clemens Lee
# 2003-04-05

# I am a late starter, but I don't want to start too late.
# This script measures the percentage of days I started on a project after a 
# given deadline.

# Synopsis: toolate.sh project.timelog hh:mm

timelogfile=$1
if [ "$timelogfile" = "" ]
then
  echo No timelog file given... exiting
  exit 2
fi

deadline=$2
if [ "$deadline" = "" ]
then
  echo No deadline was given... exiting
  exit 2
fi


cat "$timelogfile" | awk -v deadline=$deadline '
NR > 1 && startdate != $1, total = total + 1 {}
NR > 1 && startdate != $1 && $2 > deadline":00" && $2 < "12:00:00", late = late + 1 { print $1, $2 }
startdate=$1 {}
END { print late " days late out of " total " total days (" (late*100.0/total) "%)" }
'
