/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package psp.timelog;

import ccl.util.Init;
import java.util.Enumeration;

/**
 * @author <a href="http://www.kclee.com/clemens/">
 *         Chr. Clemens Lee</a>
 *         (<a href="mailto:clemens@kclee.com">
 *         clemens@kclee.com
 *         </a>)
 * @version  $Id: Controllable.java,v 1.2 2003/05/03 12:13:00 c1emens Exp $
 */
public interface Controllable
{
    public static final String S_INIT_TIMEZONE_ID = "TimezoneID";
    public static final String S_INIT_PROCESS = "Process";
    public static final String S_INIT_PROC_PROCESSES = "Processes";
    public static final char C_PROCESS_DELIMITER = 44;

    public abstract Init getInit();

    public abstract int getProcessSize();

    public abstract Enumeration getProcessElements();

    public abstract String getProcessElement( String sIndex_ );

    public abstract void setModified();

    public abstract String getProcess();
}
