/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package psp.timelog.swing;

import ccl.swing.SwingUtil;
import ccl.util.Util;
import java.awt.BorderLayout;
import javax.swing.JTextField;
import javax.swing.JPanel;

/**
 * A status bar with a nice border.
 *
 * @author Chr. Clemens Lee (clemens@kclee.com)
 *         , Kenneth Westelinck (kenneth.westelinck@pandora.be)
 * @version $Id: StatusBar.java,v 1.1 2003/05/03 12:05:30 c1emens Exp $
 */
public class StatusBar extends JPanel 
{
    private JTextField _txtText = new JTextField("");

    /**
     * Default constructor.
     */
    public StatusBar() 
    {
	super();

	setLayout(new BorderLayout());
	add(_txtText);
        _txtText.setEditable(false);
	_txtText.setBorder( null );
	setBorder( SwingUtil.createCCLBorder() );
    }
    
    /**
     * Sets the message of the status bar.
     */
    public void setText(String sText_) {
	Util.debug("StatusBar: setText: sText_: " + sText_);
	_txtText.setText( " " + sText_);
    }
}
