/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package psp.timelog.util;

import ccl.util.Util;

/**
 * @author <a href="http://www.kclee.com/clemens/">
 *         Chr. Clemens Lee</a>
 *         &lt;<a href="mailto:clemens@kclee.com">
 *         clemens@kclee.com
 *         </a>>
 */
public class ObservableInt extends ObservableValue {
    private int _value = 0;

    public ObservableInt(String sValue_) {
        super();
        _value = Util.atoi(sValue_);
    }

	public ObservableInt(int value_) {
		super();
		_value = value_;
	}

	public void set(String sValue_) {
		_value = Util.atoi(sValue_);
      setChanged();
      notifyObservers();
	}

	public String toString() {
		return Util.itoa(_value);
	}
}

