<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [
<!ENTITY nbsp   "&#160;">
<!ENTITY eacute "&#233;">
]>
<xsl:stylesheet
   version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method  ="html"
              encoding="iso-8859-1"
              indent  ="no"/>
  <xsl:strip-space elements="*"/>


  <xsl:template match="/">
    <xsl:variable name="project"><xsl:value-of select="String:toLowerCase(String:new(project/name))" xmlns:String="xalan://java.lang.String"/></xsl:variable>
    <html>
      <head>
        <link rel="SHORTCUT ICON" href="timelog16x16.ico"></link>
        <title><xsl:value-of select="project/title"/></title>
      </head>
      <body text="#000000" bgcolor="#C0C0FF" link="#0000FF" vlink="#800080" alink="#FF0080">
&nbsp;
<CENTER><TABLE WIDTH="90%%" >
<TR>
<TD ALIGN="RIGHT">
<TABLE WIDTH="50" HEIGHT="50" BGCOLOR="#3366FF" >
<TR>
<TD>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;</TD>

<TD></TD>

<TD ALIGN="CENTER" VALIGN="CENTER"><B><FONT SIZE="+3"><I>Time</I>log</FONT></B></TD>

<TD></TD>

<TD>
<TABLE WIDTH="50" HEIGHT="50" BGCOLOR="#3366FF" >
<TR>
<TD>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;</TD>
</TR>

<TR>
<TD></TD>

<TD>
<TABLE WIDTH="50" HEIGHT="50" BGCOLOR="#3366FF" >
<TR>
<TD>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;</TD>

<TD>
<CENTER><FONT SIZE="+2">for the Personal Software Process</FONT></CENTER>
</TD>

<TD ALIGN="RIGHT">
<TABLE WIDTH="50" HEIGHT="50" BGCOLOR="#3366FF" >
<TR>
<TD>&nbsp;</TD>
</TR>
</TABLE>
&nbsp;</TD>

<TD></TD>
</TR>
</TABLE></CENTER>
&nbsp;
        <table border="0">
          <!--
          <tr>
            <td colspan="2"><center><img src="images/{$project}.png" /></center></td>
          </tr>
          -->
          <tr>
            <td valign="TOP"><ul><li><a href="#features">Features<!--<img src="images/features.png" border="0" />--></a></li><li><a href="#requirements">Requirements<!--<img src="images/requirements.png" border="0" />--></a></li><li><a href="#download">Download<!--<img src="images/download.png" border="0" />--></a></li><li><a href="#installation">Installation<!--<img src="images/installation.png" border="0" />--></a></li><li><a href="#usage">Usage<!--<img src="images/usage.png" border="0" />--></a></li><li><a href="#release">Release History<!--<img src="images/release.png" border="0" />--></a></li><li><a href="#credits">Credits<!--<img src="images/credits.png" border="0" />--></a></li><li><a href="#links">Links<!--<img src="images/links.png" border="0" />--></a></li><li><a href="#contact">Contact<!--<img src="images/contact.png" border="0" />--></a></li></ul></td>
            <td> &nbsp; </td>
            <td>
              <xsl:apply-templates select="project/description"/>
              <xsl:call-template name="p"/>
              <xsl:text>You can always find the newest version of this page at: </xsl:text>
              <a>
                <xsl:variable name="homeurl">
                  <xsl:text>http://www.kclee.com/clemens/</xsl:text>
                  <xsl:value-of select="project/home"/>
                </xsl:variable>
                <xsl:attribute name="href">
                  <xsl:value-of select="$homeurl"/>
                </xsl:attribute>
                <xsl:value-of select="$homeurl"/>
              </a>
              <xsl:call-template name="br"/>

              <a name="features" /><h2>Features</h2><!--<img src="images/features0.png" />-->
              <ul>
                <xsl:apply-templates select="project/features/feature"/>
              </ul>
              <a name="requirements" /><h2>System Requirements</h2><!--<img src="images/requirements0.png" />-->
              <ul>
                <xsl:apply-templates select="project/requirements/requirement"/>
              </ul>
              <a name="download" /><h2>Download</h2><!--<img src="images/download0.png" />--><xsl:call-template name="p"/>
              <xsl:variable name="filename">
                <xsl:value-of select="$project"/><xsl:value-of select="project/version[position()=1]/major"/><xsl:text>.</xsl:text><xsl:value-of select="project/version[position()=1]/release"/><xsl:text>.zip</xsl:text>
              </xsl:variable>
              <a>
                <xsl:attribute name="href">
                  <xsl:value-of select="$filename"/>
                </xsl:attribute>
                <xsl:value-of select="project/name"/>
                <xsl:text> Version </xsl:text>
                <xsl:value-of select="project/version[position()=1]/major"/>
                <xsl:text>.</xsl:text>
                <xsl:value-of select="project/version[position()=1]/release"/>
              </a>
              <xsl:text> &nbsp;&nbsp;(</xsl:text>
              <font size="-1">
                <xsl:variable name="currentDir" select="System:getProperty('user.dir')" xmlns:System="xalan://java.lang.System"/>
                <xsl:variable name="fullfilename" select="FileUtil:concatPath($currentDir,$filename)" xmlns:FileUtil="xalan://ccl.util.FileUtil"/>
                <xsl:value-of select="File:length(File:new($fullfilename))" xmlns:File="xalan://java.io.File"/>
                <xsl:text> bytes)</xsl:text>
              </font>
              <xsl:call-template name="br"/>
              <form>
                <xsl:attribute name="action">
                  <xsl:text>mailto:clemens@kclee.com?{$project}: please notify me for updates</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="method">
                  <xsl:text>POST</xsl:text>
                </xsl:attribute>
                <xsl:attribute name="enctype">
                  <xsl:text>text/plain</xsl:text>
                </xsl:attribute>
                <xsl:text>If you want to get notified when new updates for </xsl:text>
                <xsl:value-of select="project/name"/>
                <xsl:text> are available please press the following button:</xsl:text>
                <xsl:call-template name="br"/>
                <input type="SUBMIT" value="Please Notify Me" /><font size="-1">(thanks for your interest)</font>
              </form>
              <xsl:call-template name="p"/>
              <xsl:value-of select="project/name"/> is distributed under the GNU General Public License version 2.
              <xsl:call-template name="p"/>
              <a name="installation" /><h2>Installation</h2>
              <ol>
                <xsl:apply-templates select="project/installation/step"/>
              </ol>
              <a name="usage" /><h2>Usage</h2>
              <xsl:apply-templates select="project/usage"/>
              <xsl:call-template name="p"/>
              <a name="release" /><h2>Release History</h2>
              Version <xsl:value-of select="project/version[position()=1]/major"/>.<xsl:value-of select="project/version[position()=1]/release"/> has been released on 
              <xsl:value-of select="Util:getMonth(project/version[position()=1]/date)" xmlns:Util="xalan://ccl.util.Util"/>
              <xsl:text> </xsl:text>
              <xsl:value-of select="Util:itoa(Util:atoi(substring(project/version[position()=1]/date, 9)))" xmlns:Util="xalan://ccl.util.Util"/>
              <xsl:text>, </xsl:text>
              <xsl:value-of select="substring(project/version[position()=1]/date, 1, 4)"/>
              <xsl:call-template name="p"/>

              <xsl:value-of select="project/version[position()=1]/changes"/>
              <xsl:call-template name="p"/>

              <xsl:apply-templates select="project/version[position()=1]/new"/>
              <xsl:call-template name="p"/>
              <xsl:apply-templates select="project/version[position()=1]/bugs"/>
              <xsl:call-template name="p"/>

              The complete release history is on its own page: 
              <a>
                <xsl:attribute name="href">releases.html</xsl:attribute>
                <xsl:value-of select="project/name"/>
                <xsl:text> Release History</xsl:text>
              </a>
              <xsl:call-template name="p"/>

              <a name="credits" /><h2>Authors and Credits</h2>
              <xsl:apply-templates select="project/credits/text"/><xsl:call-template name="p"/>
              Thanks to the following people for their shared code, ideas, experience, bug reports, or feedback:
              <ul>
                <xsl:apply-templates select="project/credits/credit"/>
              </ul>
              <a name="links" /><h2>Links</h2>
              <dl>
                <xsl:apply-templates select="project/links/linkitem" mode="links"/>
              </dl>
            </td>

          </tr>
        </table>

        <xsl:call-template name="br"/>
Go to <a href="../index.html">Clemens' Java page</a>.
<xsl:text disable-output-escaping="yes">&lt;br&gt;</xsl:text>&nbsp;<xsl:text disable-output-escaping="yes">&lt;br&gt;</xsl:text>
<HR WIDTH="100%%" />
<a name="contact" /><A HREF="http://www.kclee.com/clemens/">Chr.
Clemens Lee</A>, email: <i><A HREF="mailto:clemens@kclee.com">clemens@kclee.com</A></i>; &nbsp; Kenneth Westelinck, email: <i><a href="mailto:kenneth.westelinck@pandora.be">kenneth.westelinck@pandora.be</a></i>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="feature|requirement|step|credit|bug">
    <li><xsl:apply-templates/></li>
  </xsl:template>
  
  <xsl:template match="i">
    <i><xsl:apply-templates/></i>
  </xsl:template>

  <xsl:template match="tt">
    <tt><xsl:apply-templates/></tt>
  </xsl:template>

  <xsl:template match="ul">
    <ul><xsl:apply-templates/></ul>
  </xsl:template>

  <xsl:template match="li">
    <li><xsl:apply-templates/></li>
  </xsl:template>

  <xsl:template match="pre">
    <blockquote><pre><xsl:apply-templates/></pre></blockquote>
  </xsl:template>

  <xsl:template match="p" name="p">
        <xsl:text disable-output-escaping="yes">&lt;p&gt;

</xsl:text>
  </xsl:template>

  <xsl:template match="br" name="br">
    <xsl:text disable-output-escaping="yes">&lt;br&gt;
</xsl:text>
  </xsl:template>

  <xsl:template match="projectname">
    <xsl:value-of select="/project/name"/>
  </xsl:template>

  <xsl:template match="zipfile">
    <xsl:call-template name="projectdir"/>
    <xsl:text>.zip</xsl:text>
  </xsl:template>

  <xsl:template match="new">
    <b>What's New</b>
    <ol>
      <xsl:apply-templates select="feature"/>
    </ol>
  </xsl:template>

  <xsl:template match="bugs">
    <b>Bugs Fixed</b>
    <ol>
      <xsl:apply-templates select="bug"/>
    </ol>
  </xsl:template>

  <xsl:template match="projectdir" name="projectdir">
    <xsl:value-of select="String:toLowerCase(String:new(/project/name))" xmlns:String="xalan://java.lang.String"/>
    <xsl:value-of select="/project/version[position()=1]/major"/><xsl:text>.</xsl:text><xsl:value-of select="/project/version[position()=1]/release"/>
  </xsl:template>

  <xsl:template match="projectnamelowercase">
    <xsl:value-of select="String:toLowerCase(String:new(/project/name))" xmlns:String="xalan://java.lang.String"/>
  </xsl:template>

  <xsl:template match="link">
    <xsl:text disable-output-escaping="yes">&lt;a href="</xsl:text>
    <xsl:if test="@type!=''"><xsl:value-of select="@type"/>:</xsl:if>
    <xsl:value-of select="."/>
    <xsl:if test="@id!=''">
      <xsl:variable name="currentid"><xsl:value-of select="@id"/></xsl:variable>
      <xsl:apply-templates select="//*[@id=$currentid]" mode="link"/>
    </xsl:if>
    <xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
    <xsl:choose>
      <xsl:when test="@text!=''">
        <xsl:value-of select="@text"/>
      </xsl:when>
      <xsl:when test="@id!=''">
        <xsl:variable name="currentid"><xsl:value-of select="@id"/></xsl:variable>
        <xsl:apply-templates select="//*[@id=$currentid and @name!='']" mode="linktext"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="."/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
  </xsl:template>

  <xsl:template match="linkitem" mode="links">
    <dt><a>
        <xsl:attribute name="href"><xsl:value-of select="url"/></xsl:attribute>
        <xsl:value-of select="name"/>
      </a>
    </dt>
    <dd>
      <xsl:apply-templates select="description"/>
      <xsl:text> [</xsl:text><xsl:value-of select="date"/><xsl:text>]</xsl:text>
    </dd>
  </xsl:template>

</xsl:stylesheet>
