<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
   version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="iso-8859-1"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="/">
    <xsl:value-of select="project/name"/>
    <xsl:text>

   </xsl:text>
   <xsl:value-of select="substring(project/title,string-length(project/name)+2,1000)"/>
    <xsl:text>

URL
   http://www.kclee.com/clemens/</xsl:text>
    <xsl:value-of select="project/home"/>
    <xsl:text>

DESCRIPTION
   </xsl:text>
   <xsl:value-of select="substring(Util:formatLeft(substring-before(project/description,'Here is a '), 64, 3),4,1000)" xmlns:Util="xalan://ccl.util.Util"/>
   <xsl:text>
FEATURES
</xsl:text>
   <xsl:apply-templates select="project/features"/>

   <xsl:text>
SYSTEM REQUIREMENTS
</xsl:text>
   <xsl:apply-templates select="project/requirements"/>

   <xsl:text>
INSTALLATION
   See ./doc/index.html#installation

LICENSE
   </xsl:text>
   <xsl:value-of select="project/license"/>
   <xsl:text>

VERSION
   </xsl:text>
   <xsl:value-of select="project/version[position()=1]/major"/>
   <xsl:text>.</xsl:text>
   <xsl:value-of select="project/version[position()=1]/release"/>
   <xsl:text>

DATE
   </xsl:text>
   <xsl:value-of select="project/version[position()=1]/date"/>
   <xsl:text>

AUTHOR
   </xsl:text>
   <xsl:value-of select="project/author"/>
   <xsl:text>, &lt;</xsl:text>
   <xsl:value-of select="project/author/@email"/>
   <xsl:text>&gt;</xsl:text>
    <!--
    <xsl:variable name="space">x                                                                        x</xsl:variable>
    <xsl:value-of select="substring($space,2,64-string-length(resume/name)-string-length(resume/date))"/>
    <xsl:value-of select="resume/date"/>

    
    <xsl:text>

</xsl:text>
<xsl:choose>
  <xsl:when test="$mode='private'">
    <xsl:value-of select="resume/address/street"/><xsl:text>
</xsl:text>
<xsl:value-of select="resume/address/postleitzahl"/><xsl:text>
</xsl:text>
<xsl:value-of select="resume/address/country"/><xsl:text>

Tel.:  </xsl:text><xsl:value-of select="resume/address/telephone"/>
  </xsl:when>
  <xsl:otherwise>    
    <xsl:text>(Address available on request)
</xsl:text><xsl:value-of select="resume/address/country"/><xsl:text>

Tel.:  (available on request)</xsl:text>
  </xsl:otherwise>
</xsl:choose>
<xsl:text>
Email: </xsl:text><xsl:value-of select="resume/address/email"/><xsl:text>
Web:   </xsl:text><xsl:value-of select="resume/address/web"/><xsl:text>


JOB OBJECTIVE

</xsl:text>
    <xsl:value-of select="Util:formatBlock(resume/job_objective, 64)" xmlns:Util="xalan://ccl.util.Util"/>

    <xsl:text>

SKILLS
</xsl:text>

    <xsl:apply-templates select="resume/skills/skill"/>

    <xsl:text>
WORK EXPERIENCE

</xsl:text>

    <xsl:apply-templates select="resume/jobs/job"/>

    <xsl:text>CURRICULUM VITAE

Personal Data:

Name:             </xsl:text>

    <xsl:value-of select="Resume:formatName(resume/full_name)" xmlns:Resume="xalan//resume.Resume"/>

    <xsl:text>

Date of Birth:    </xsl:text>

    <xsl:value-of select="Util:getMonth(resume/birthday)" xmlns:Util="xalan://ccl.util.Util"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="Util:itoa(Util:atoi(substring(resume/birthday, 9)))" xmlns:Util="xalan://ccl.util.Util"/>
    <xsl:text>, </xsl:text>
    <xsl:value-of select="substring(resume/birthday, 1, 4)"/>
    
    <xsl:text>

Place of Birth:   </xsl:text>

    <xsl:value-of select="resume/place_of_birth"/>

    <xsl:text>

Nationality:      </xsl:text>

    <xsl:value-of select="resume/nationality"/>

    <xsl:text>

Marital Status:   </xsl:text>

    <xsl:value-of select="resume/marital_status"/>

    <xsl:text>

Hobbies:          </xsl:text>

    <xsl:value-of select="substring(Util:formatBlock(resume/hobbies, 64, 18), 19)" xmlns:Util="xalan://ccl.util.Util"/>

    <xsl:text>

Education:

</xsl:text>

    <xsl:apply-templates select="resume/education/step"/>

    <xsl:text>

Studies:

</xsl:text>

    <xsl:apply-templates select="resume/studies/step"/>

  </xsl:template>
  
  <xsl:template match="skill">
    <xsl:text>
</xsl:text>
    <xsl:value-of select="name"/>
    <xsl:text>:

</xsl:text>
    <xsl:apply-templates select="text"/>
    <xsl:text>
</xsl:text>
-->
  </xsl:template>

  <xsl:template match="text()">
    <xsl:value-of select="Util:formatBlock(., 64)" xmlns:Util="xalan://ccl.util.Util"/>
  </xsl:template>

  <xsl:template match="p">
    <xsl:text>
</xsl:text>
  </xsl:template>

  <xsl:template match="br">
  </xsl:template>

  <xsl:template match="ul">
    <xsl:apply-templates select="li"/>
  </xsl:template>

  <xsl:template match="li">
    <xsl:text> - </xsl:text>
    <xsl:apply-templates mode="li1"/>
  </xsl:template>

  <xsl:template match="li" mode="job">
    <xsl:text> - </xsl:text>
    <xsl:apply-templates mode="li1"/>
    <xsl:text>
</xsl:text>
  </xsl:template>

  <xsl:template match="text()" mode="li1">
    <xsl:value-of select="substring(Util:formatBlock(., 64, 3), 4)" xmlns:Util="xalan://ccl.util.Util"/>
  </xsl:template>

  <xsl:template match="ul" mode="li1">
    <xsl:apply-templates select="li" mode="li2"/>
  </xsl:template>

  <xsl:template match="li" mode="li2">
    <xsl:text>    - </xsl:text>
    <xsl:apply-templates mode="li2"/>
  </xsl:template>

  <xsl:template match="text()" mode="li2">
    <xsl:value-of select="substring(Util:formatBlock(., 61, 6), 7)" xmlns:Util="xalan://ccl.util.Util"/>
  </xsl:template>

  <xsl:template match="br" mode="li1">
    <xsl:text>   </xsl:text>
  </xsl:template>

  <xsl:template match="br" mode="li2">
    <xsl:text>      </xsl:text>
  </xsl:template>

  <xsl:template match="job">

    <xsl:value-of select="Resume:formatDatesAndCompany(start, end, company/name)" xmlns:Resume="xalan//resume.Resume"/>

    <xsl:value-of select="company/location"/>

    <xsl:text>
                     </xsl:text>
    <xsl:value-of select="title"/>

    <xsl:text>

</xsl:text>

    <xsl:apply-templates select="li" mode="job"/>
    
    <xsl:if test="technologies[text()!='']">
      <xsl:value-of select="Util:formatBlock(technologies, 64, 3)" xmlns:Util="xalan://ccl.util.Util"/>
      <xsl:text>
</xsl:text>
    </xsl:if>

    <xsl:text>
</xsl:text>

  </xsl:template>

  <xsl:template match="education/step">
    <xsl:value-of select="start"/>
    <xsl:choose>
      <xsl:when test="start!=end">
        <xsl:text>-</xsl:text>
        <xsl:value-of select="end"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>     </xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:text>   </xsl:text>
    <xsl:value-of select="text"/>
    <xsl:text>
</xsl:text>
  </xsl:template>

  <xsl:template match="studies/step">
    <xsl:value-of select="start"/>
    <xsl:choose>
      <xsl:when test="start!=end">
        <xsl:text>-</xsl:text>
        <xsl:value-of select="end"/>
        <xsl:text>   </xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="Util:getSpaces(12 - string-length(start))" xmlns:Util="xalan://ccl.util.Util"/>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="text" mode="studies"/>
  </xsl:template>

  <xsl:template match="text()" mode="studies">
    <xsl:value-of select="substring(Util:formatBlock(., 64, 12), 13)" xmlns:Util="xalan://ccl.util.Util"/>
  </xsl:template>

  <xsl:template match="br" mode="studies">
    <xsl:text>            </xsl:text>
  </xsl:template>

  <xsl:template match="link">
    <xsl:value-of select="@text"/>
  </xsl:template>

  <xsl:template match="feature|requirement">
    <xsl:text>   - </xsl:text>   
    <xsl:value-of select="substring(Util:formatLeft(., 64, 5),6,1000)" xmlns:Util="xalan://ccl.util.Util"/>
  </xsl:template>

</xsl:stylesheet>
